Page MenuHomePhabricator

eina_vpath: specilice the eina_vpath headers
ClosedPublic

Authored by bu5hm4n on Aug 3 2018, 10:55 PM.

Details

Summary

For now its beta, and the since tag is added.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 3 2018, 10:55 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Aug 3 2018, 10:55 PM
Hermet added a subscriber: Hermet.Aug 6 2018, 12:39 AM

beta but since 1.21?

kimcinoo added a subscriber: kimcinoo.EditedAug 6 2018, 12:48 AM

//It seems that the first commit of eina_vpath is following commit 1.20

[eina_vpath] commit 7165003bc60177818a491db0d6a557dd0767554b
Author: Marcel Hollerbach <marcel@osg.samsung.com>
Date: Sun Feb 18 22:12:58 2018 +0100

introduce eina_vpath!

Its the successor of efl.vpath, the api is synchronous, and supports
addtional vpath paths, new apis cal always be added to use them.

[1.20] commit 415d16fa355b4e4acd582f260caeb3d27b87ce9e
Author: Stefan Schmidt <stefan@osg.samsung.com>
Date: Thu Aug 3 22:36:25 2017 +0200

release: Update NEWS and bump version for 1.20.0 release//

Ah~ had a @Hermet 's point!
It seems that the 'EFL_BETA_API_SUPPORT' cannot have the '@since'.

Well, i like to keep the since tags anyway, since its telling the information when the API was added in beta stage.
Once the API is getting stable the since tags are getting bumped to the correct version.

zmike accepted this revision.Aug 6 2018, 4:32 AM
This revision is now accepted and ready to land.Aug 6 2018, 4:32 AM
zmike requested changes to this revision.Aug 8 2018, 6:44 AM

This needs to be broken out into a standalone patch that can be applied immediately. It does not apply without the rest of the series.

This revision now requires changes to proceed.Aug 8 2018, 6:44 AM
bu5hm4n updated this revision to Diff 16202.Aug 8 2018, 11:26 AM
bu5hm4n edited the summary of this revision. (Show Details)

change position

zmike requested changes to this revision.Aug 8 2018, 11:38 AM

Missing #endif

This revision now requires changes to proceed.Aug 8 2018, 11:38 AM
zmike accepted this revision.Aug 14 2018, 2:03 PM
This revision is now accepted and ready to land.Aug 14 2018, 2:03 PM
Closed by commit rEFL55a2e77d60db: eina_vpath: specilice the eina_vpath headers (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyAug 14 2018, 2:26 PM
This revision was automatically updated to reflect the committed changes.